<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hc.gpbusiness.mapper.WebBannerMapper">

    <resultMap type="com.hc.gpbusiness.model.WebBanner" id="WebBannerMap">
        <result property="bannerId" column="banner_id" jdbcType="INTEGER"/>
        <result property="bannerUrl" column="banner_url" jdbcType="VARCHAR"/>
        <result property="bannerPic" column="banner_pic" jdbcType="VARCHAR"/>
        <result property="bannerIndex" column="banner_index" jdbcType="INTEGER"/>
        <result property="createTime" column="create_time" jdbcType="BIGINT"/>
        <result property="updateTime" column="update_time" jdbcType="BIGINT"/>
    </resultMap>

    <sql id="Base_Column_List">
           banner_id,
           banner_url,
           banner_pic,
           banner_index,
           create_time,
           update_time
        </sql>

</mapper>